Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.ui
Class DlpProcessor

    java.lang.Object
      lp.ui.AbstractProcessor
          lp.ui.DlpProcessor

Direct Known Subclasses:
  DlpWebappHelper

    public abstract class DlpProcessor

extends AbstractProcessor

A developer-friendly aggregation of `DlpParser`, `DlpGrounder`, `DlpTransformer` and `DlpSolver`.

Version:
  0.9.0
Author:
  Martin Slota
See Also:
  `DlpParser`, `DlpGrounder`, `DlpTransformer`, `DlpSolver`

Nested Class Summary

Nested classes/interfaces inherited from class lp.ui.AbstractProcessor
`AbstractProcessor.StopWatch`

Field Summary
`private DynamicLogicProgram` | `dlp`
`private DynamicLogicProgram` | `groundedDlp`
`private DlpGrounder` | `grounder`
`private Reader` | `input`
`private DlpParser` | `parser`
`private DlpSolver` | `solver`
`private TransformedDlp` | `transformedDlp`
`private DlpTransformer` | `transformer`

Constructor Summary
`DlpProcessor(ConfigManager config)`

Method Summary
`void` | `computeModels(Consumer<StableModel> processor)`
`DynamicLogicProgram` | `getDlp()`
`DynamicLogicProgram` | `getGroundedDlp()`
`List<GrounderMessage>` | `getGrounderWarnings()`
`TransformedDlp` | `getTransformedDlp()`
`void` | `setInput(Reader input)`

Methods inherited from class lp.ui.AbstractProcessor
`escapeXMLSpecials, getConfig, getSW, chmod, showMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    private final DlpParser parser

### grounder

    private final DlpGrounder grounder

### transformer

    private final DlpTransformer transformer

### solver

    private final DlpSolver solver

### input

    private Reader input

### dlp

    private DynamicLogicProgram dlp

### groundedDlp

    private DynamicLogicProgram groundedDlp

### transformedDlp

    private TransformedDlp transformedDlp

Constructor Detail

### DlpProcessor

    public DlpProcessor(ConfigManager config)

Method Detail

### setInput

    public void setInput(Reader input)

### getDlp

    public DynamicLogicProgram getDlp()

  Throws:
    `IllegalArgumentException`
    `IOException`
    `LpParserException`

### getGroundedDlp

    public DynamicLogicProgram getGroundedDlp()

### getGrounderWarnings

    public List<GrounderMessage> getGrounderWarnings()

### getTransformedDlp

    public TransformedDlp getTransformedDlp()

### computeModels

    public void computeModels(Consumer<StableModel> processor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD